## praelector 0.5

=== bin/doc/Makefile ===
defaut:
	markdown auxilium.md > auxilium.html
edit:
	vim auxilium.md
nav:
	firefox file:///home/collatin/src/praelector/bin/doc/auxilium.html

=== debian/changelog ===
praelector (0.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 18:42:07 +0100

praelector (0.5-1) unstable; urgency=medium

  [ Yves Ouvrard, alias Collatinus ]
  * accord de l'épithète dans la traduction
  * flexion française de 'ce'
  * eo:abl
  * corr. ndumEst
  * contrôle de dépassement de liste _traductions
  * todo
  * mise à jour de la doc
  * déplacement des règles -que
  * fixme, todo
  * ajout d'une phrase, et traductions
  * fixme, todo
  * modes de l'abl. abs.
  * tr. de per
  * +2 enr.
  * todo
  * partage d'une phrase en 2
  * nettoyage commentaire
  * affichage et traduction prop. infinitive
  * tam, tr. aussi
  * loquor attr
  * + 1 enr
  * rejet d'un super supplémentaire, sauf rel.
  * coquille
  * nihil contemnit esuriens
  * restriction règle negation
  * fixme
  * Prévision de l'ajout d'une phraséologie
  * cui cum paupertate
  * fixme
  * ajout des classes sémantiques
  * accord de l'épithète dans la traduction
  * accord de l'épithète dans la traduction
  * flexion française de 'ce'
  * eo:abl
  * corr. ndumEst
  * contrôle de dépassement de liste _traductions
  * todo
  * mise à jour de la doc
  * déplacement des règles -que
  * fixme, todo
  * ajout d'une phrase, et traductions
  * fixme, todo
  * modes de l'abl. abs.
  * tr. de per
  * +2 enr.
  * todo
  * partage d'une phrase en 2
  * nettoyage commentaire
  * affichage et traduction prop. infinitive
  * tam, tr. aussi
  * loquor attr
  * + 1 enr
  * rejet d'un super supplémentaire, sauf rel.
  * coquille
  * nihil contemnit esuriens
  * restriction règle negation
  * fixme
  * Prévision de l'ajout d'une phraséologie
  * cui cum paupertate
  * fixme
  * ajout des classes sémantiques
  * ajout des dialogues d'ontologie
  * passé simple de cueillir
  * fixme
  * ajout de lien syntaxique
  * ajout de lien syntaxique
  * opérateurs == pour Seme et Lien
  * hyponymie
  * corr. bogue opérateur ==; logique et ontologie
  * scribo:infobj
  * nettoyage commentaires
  * ajout commentaire sémantique
  * le code de semantique* se limite à l'enregistrement des liens validés. Cet enregistrement sera soumis à un lancement avec paramètre. Un autre programme sera chargé d'ajouter l'ontologie à la base sémantico-syntaxique.
  * réécriture des questions sémantiques; option d'enrichissement sémantique
  * lexiques modulaires, sémantique
  * musica, ae
  * menu paramètres, fixme
  * musica
  * fixme, commentaires déplacés dans NOTES, supprimés dans FIXME

  [ Georges Kd ]
  * new upstream version 0.5

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Nov 2018 17:58:33 +0100

praelector (0.4-1) unstable; urgency=medium

  * fixed details in the continuous integration
  * New upstream version 0.4

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Oct 2018 17:35:03 +0200

praelector (0.3-1) unstable; urgency=medium

  * new upstream version : adds the file .gitlab-ci.yml

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Oct 2018 17:24:37 +0200

praelector (0.2-1) unstable; urgency=medium

  * new upstream release. Improves the end-user experience.
    (Closes: #910936)
  * upgraded Standards-Version to 4.2.1
  * changed capitalizations: latin -> Latin
  * replaced "our" by "current" in the extended description

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Oct 2018 11:27:52 +0200

praelector (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #910936)
  * initialized VCS lines for salsa
  * added dependencies for Qt5, etc. Defined the Qt5 setup in d/rules
  * patched parts of the source to install data files complying with
    the FHS

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Oct 2018 15:51:52 +0200

=== debian/control ===
Source: praelector
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 qt5-qmake, qtchooser, qtbase5-dev, qtbase5-dev-tools, qttools5-dev-tools,
 libqt5printsupport5
Standards-Version: 4.2.1
Homepage: https://www.collatinus.org/programmes.htm
Vcs-Browser: https://salsa.debian.org/georgesk/praelector
Vcs-Git: https://salsa.debian.org/georgesk/praelector.git

Package: praelector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: helps one to read a Latin phrase in a "natural" way
 William G. Hale (1849-1928) explained in "The Art Of Reading Latin"
 principles of such a "natural" way of reading Latin sentences, which is
 radically different of the way of reading current modern languages.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS

export QT_SELECT=qt5

%:
	dh $@
